#ifndef _NOKIALCD_H_
#define _NOKIALCD_H_

#define LCD_X_RES                  84
#define LCD_Y_RES                  48

#define LCD_DC_PIN                 GPIO_Pin_2  //  PE2
#define LCD_CE_PIN                 GPIO_Pin_7  //  PE7
#define SPI_MOSI_PIN               GPIO_Pin_1  //  PE1
#define LCD_RST_PIN                GPIO_Pin_3  //  PE3
#define SPI_CLK_PIN                GPIO_Pin_0  //  PE0

#define LCD_CACHE_SIZE             ((LCD_X_RES * LCD_Y_RES) / 8)

typedef enum
{
    LCD_CMD  = 0,
    LCD_DATA = 1

} LcdCmdData;

typedef enum
{
    PIXEL_OFF =  0,
    PIXEL_ON  =  1,
    PIXEL_XOR =  2

} LcdPixelMode;

void LcdSend    ( unsigned char data, LcdCmdData cd );
void LcdInit       ( void );
void LcdClear      ( void );
void LcdUpdate     ( void );
void LcdGotoXY     ( unsigned char x, unsigned char y );
void LcdChr        ( unsigned char ch );
void LcdStr        ( unsigned char *dataPtr );
void LcdPixel      ( unsigned char x, unsigned char y, LcdPixelMode mode );
void LcdLoadBG (const unsigned char* bitmap, unsigned char width, unsigned char offset);
void LcdLoadBMP (const unsigned char* bitmap);
void LcdLoadAddBMP (const unsigned char* bitmap);
void LcdLoadSubBMP (const unsigned char* bitmap);
void LcdDelay		(unsigned int nCount);
#endif

